Package org.eclipse.jdt.apt.core.env

# Interface EclipseAnnotationProcessorFactory

All Superinterfaces:
  `AnnotationProcessorFactory`

public interface EclipseAnnotationProcessorFactory extends AnnotationProcessorFactory
Extend the APT annotation processor factory API to provide extra features. Implementation of this annotation processor is treated just like the regular annotation processor during build and reconcile.

Author:
  tyeung

## Method Summary

Modifier and Type
Method
Description
`AnnotationProcessor`
`getProcessorFor(Set<AnnotationTypeDeclaration> atds, EclipseAnnotationProcessorEnvironment env)`
Returns an annotation processor for a set of annotation types.

### Methods inherited from interface com.sun.mirror.apt.AnnotationProcessorFactory

`getProcessorFor, supportedAnnotationTypes, supportedOptions`

## Method Details

### getProcessorFor

AnnotationProcessor getProcessorFor(Set<AnnotationTypeDeclaration> atds, EclipseAnnotationProcessorEnvironment env)
Returns an annotation processor for a set of annotation types. Implementation of this API is guaranteed to be invoked with an extended annotation processor environment for both `getProcessorFor(java.util.Set<com.sun.mirror.declaration.AnnotationTypeDeclaration>, org.eclipse.jdt.apt.core.env.EclipseAnnotationProcessorEnvironment)` version of the method.

Parameters:
  `atds` - the set of annotation types
  `env` - the environment for processing.
Returns:
  an annotation processor or null if the processor cannot be created.